
class MatchData

  # Return the primary match string. This is equivalent to +md[0]+.
  #
  #   md = /123/.match "123456"
  #   md.match  #=> "123"
  #
  def match
    self[0]
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TC_MatchData < Test::Unit::TestCase

    # match

    def test_match
      md = /X(a)(b)(c)X/.match("YXabcXY")
      assert_equal( "XabcX", md.match )
    end

  end

=end